%global pypi_name ring-doorbell

Name:           python-%{pypi_name}
Version:        0.6.1
Release:        1%{?dist}
Summary:        Python library to communicate with Ring Door Bells

License:        LGPLv3+
URL:            https://github.com/tchellomello/python-ring-doorbell
Source0:        %{url}/archive/%{version}/ring_doorbell-%{version}.tar.gz
BuildArch:      noarch

%description
Python library written that exposes the Ring.com devices as Python
objects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(oauthlib)
BuildRequires:  python3dist(pytz)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(requests-oauthlib)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(requests-mock)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python library written that exposes the Ring.com devices as Python
objects.

%prep
%autosetup -n python-ring-doorbell-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest -v tests

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/ring_doorbell/
%{python3_sitelib}/ring_doorbell-%{version}-py%{python3_version}.egg-info/

%changelog
* Fri Oct 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.1-1
- Initial package for Fedora
